<bugID>514799<Summary>Provide an options menu preference for toggling the tab opening behavior</Summary><Description>The options menu should provided a preference for users to toggle the new tab opening behavior.  The new behavior is a drastic change from the tab opening behavior that has been in Firefox since probably the beginning.  A real discussion of this was not really talked about in the bug implementing this change.

The exposed preference to toggle this behavior in the options menu would compliment the existing preferences located here to alter the default tab behavior and in turn allowing the users more customization of their tabs.  With such a major change to the behavior of tabs, an easy way to revert back to the "old way" would be the best thing to do here instead of a hidden preference.

I do not like adding preferences to the UI as much as the next guy but how about doing this for at least the 3.6 release so that existing users can easily customize the tab opening behavior to their liking.  After 3.6 is release we can remove this from the UI since existing users would have already toggled this to their liking and new users will have started out with this behavior and would be less susceptible to changing this behavior.  Please don't WONTFIX this bug due to the previous suggestion alone.

FWIW, IE7 and 8 provide a option to do this in their options menu.</Description></bugID>